﻿$packageName = 'zim'
$displayName = 'Zim Desktop Wiki'

try {
	$uninstallPath = Get-ChildItem -Path HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall, HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall  | Get-ItemProperty | Where-Object {$_.DisplayName -match $displayName } | Select-Object -ExpandProperty UninstallString
	
	Uninstall-ChocolateyPackage $packageName 'exe' '/S' $uninstallPath -validExitCodes @(0)
	Write-ChocolateySuccess $packageName
} catch {
	Write-ChocolateyFailure $packageName $($_.Exception.Message)
	throw
}